# Actuator(bpy_struct)

base class — `bpy_struct`

subclasses — `ActionActuator`, `ArmatureActuator`, `CameraActuator`, `ConstraintActuator`, `EditObjectActuator`, `Filter2DActuator`, `GameActuator`, `MessageActuator`, `MouseActuator`, `ObjectActuator`, `ParentActuator`, `PropertyActuator`, `RandomActuator`, `SceneActuator`, `SoundActuator`, `StateActuator`, `SteeringActuator`, `VisibilityActuator`

class `bpy.types.``Actuator`(bpy_struct)

  Actuator to apply actions in the game engine

  `active`

    Set the active state of the actuator

    Type: | boolean, default False

  `name`

    Type: | string, default “”, (never None)

  `pin`

    Display when not linked to a visible states controller

    Type: | boolean, default False

  `show_expanded`

    Set actuator expanded in the user interface

    Type: | boolean, default False

  `type`

    Type: | enum in [‘ACTION’, ‘ARMATURE’, ‘CAMERA’, ‘CONSTRAINT’, ‘EDIT_OBJECT’, ‘FILTER_2D’, ‘GAME’, ‘MESSAGE’, ‘MOTION’, ‘MOUSE’, ‘PARENT’, ‘PROPERTY’, ‘RANDOM’, ‘SCENE’, ‘SOUND’, ‘STATE’, ‘STEERING’, ‘VISIBILITY’], default ‘MOTION’

  `link`(controller)

    Link the actuator to a controller

    Parameters: | controller (`Controller`) – Controller to link to

  `unlink`(controller)

    Unlink the actuator from a controller

    Parameters: | controller (`Controller`) – Controller to unlink from

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Controller.actuators` `Controller.link` | `Controller.unlink` `GameObjectSettings.actuators`